/*---------------------------------------------------------------- */
/*          STYLES PARTAGÉS FRONT & ÉDITEUR
/*---------------------------------------------------------------- */

/*---------------------------------------------------------------- */
/*          POINTS DE RUPTURE RESPONSIF
* 				- desktop :	@media (min-width: 1024px) {{}}
				- tablet :	@media (min-width: 768px) and (max-width: 1023px) {{}} 
				- phone :	@media (max-width: 767px) {{}} 
/*---------------------------------------------------------------- */

html, body {
    min-height: 100%;
    margin: 0;	
}
.wp-site-blocks {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}
main {
    flex: 1;	
}

figcaption a {
	color: #00000080 !important;
	text-decoration: #00000080 underline !important;
	transition: all .3s ease-in-out;
}
figcaption a:hover {
	color: #000000 !important;
	text-decoration: #000000 underline !important;
}
a {
	transform: all .3s ease-in-out;
}

/* Change the WordPress default css to a 1024px media query */
@media (min-width: 1024px) {
    .wp-block-navigation__responsive-container-open:not(.always-shown) {
        display: none !important;
    }
    .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
        display: block !important;
        width: 100%;
        position: relative;
        z-index: auto;
        background-color: inherit;
    }
}
/* Remove the WordPress default for 600px */
@media (min-width: 600px) {
    .wp-block-navigation__responsive-container-open:not(.always-shown) {
        display: flex;
    }
    .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
        display: none;
		
    }
}

/* Inverser le sens des colonnes sur mobiles */
@media (max-width: 767px) {	
	.mobile-invert {
		flex-direction: column-reverse;
	}
}

/*---------------------------------------------------------------- */
/*          HEADER
/*---------------------------------------------------------------- */
header {
	z-index: 100;
}

nav ul li.current-menu-item {
	font-weight: 600 !important;
}

@media (min-width: 842px) {
	header {
		position: sticky;
		top: 0;
		top:calc(0px + var(--wp-admin--admin-bar--position-offset, 0px));
	}
}

@media (min-width: 601px) and (max-width: 841px) {
	#filter-options {
		left: 0 !important;
		margin-top: 0.45rem !important;
	}
	#filter-toggle {
		padding: 0 12px;
	}	
	.navigation-principale {
		flex-grow: 1;
  		padding: var(--wp--preset--spacing--30) 0;
	}
	.header-filtres.is-extend {
		height: 300px !important;
	}
}
@media (max-width: 600px) {
	#filter-options {
		left: 0 !important;
		margin-top: 0.45rem !important;
	}
	#filter-toggle {
		padding: 0 12px;
	}	
	.navigation-principale {
		flex-grow: 1;
  		padding: var(--wp--preset--spacing--30) 0;
	}
	.header-filtres.is-extend {
		height: 470px !important;
	}
	.text-desc {
		min-height: fit-content !important;
		justify-content: flex-start !important;
	}
}


/*---------------------------------------------------------------- */
/*          ICONES
/*---------------------------------------------------------------- */
#ST-logo path {
	-webkit-transition: fill ease-in-out .3s, opacity 0.1s ease;
	transition: fill ease-in-out .3s, opacity 0.1s ease;
}
.logo-wrapper {
		max-width: 8.5rem !important;
}

/*---------------------------------------------------------------- */
/*          FILTRES PORTFOLIO
/*---------------------------------------------------------------- */
.header-filtres.is-extend {
		transition: all .3s ease-in-out;
	}
.portfolio-dropdown-filter {
  	position: relative;
  	display: inline-block;
}

#filter-toggle {
  	background: none;
  	border: none;
  	font-family: inherit;
  	cursor: pointer;
  	font-size: var(--wp--preset--font-size--medium);
	font-weight: 600;
	padding: 0;
	color: var(--wp--preset--color--contrast) !important;
	transition: all .3s ease-in-out;
}
#filter-options {
  	position: absolute;
  	top: 100%;
  	left: 0;
  	background: transparent;
  	padding: 0;
  	margin: 0;
  	list-style: none;
  	z-index: 10;
}

#filter-options.is-hidden {
  	display: none;
}

#filter-options li button {
  	display: block;
  	font-family: inherit;
  	font-size: inherit;	
  	padding: 0;
  	background: none;
  	border: none;
  	width: 100%;
  	text-align: left;
  	cursor: pointer;
	line-height: inherit;
	color: var(--wp--preset--color--contrast) !important;
	transition: all .3s ease-in-out;
}
#filter-toggle:hover, #filter-options li button:hover {
	color: #00000080 !important;
}
.category-filter[data-cat="5"] span{
	background-color: var(--wp--preset--color--presse);
}
.category-filter[data-cat="6"] span{
	background-color: var(--wp--preset--color--edition);
}
.category-filter[data-cat="7"] span{
	background-color: var(--wp--preset--color--communication);
}
.category-filter[data-cat="8"] span{
	background-color: var(--wp--preset--color--audiovisuel);
}

/*---------------------------------------------------------------- */
/*          GRID PORTFOLIO
/*---------------------------------------------------------------- */
.item-content {
	position: relative;
}
.item-content .overlay{
	position: absolute;
	inset: 0;
	opacity: 0;
	-webkit-transition: all ease-in-out .3s;
	transition: all ease-in-out .3s;
}
.item-content:hover .overlay{
	opacity: 0.85;
}
.portfolio-grid {
	height: fit-content !important;
}
.portfolio-grid .hentry.is-hidden {
	display: none !important;
}
li.category-presse .item-content, li.category-presse .item-content .overlay {
	background-color: var(--wp--preset--color--presse);
}
li.category-edition .item-content, li.category-edition .item-content .overlay {
	background-color: var(--wp--preset--color--edition);
}
li.category-communication .item-content, li.category-communication .item-content .overlay {
	background-color: var(--wp--preset--color--communication);
}
li.category-audiovisuel .item-content, li.category-audiovisuel .item-content .overlay {
	background-color: var(--wp--preset--color--audiovisuel);
}


/*---------------------------------------------------------------- */
/*          LANGAGE SWITCHER
/*---------------------------------------------------------------- */
.trp-language-switcher .trp-shortcode-arrow { display: none; }
.trp-language-switcher .trp-flag-image { display: none; }
.trp-shortcode-anchor {
  	width: 1px !important;
}
.trp-switcher-dropdown-list {
	max-height: 100% !important;
}
.trp-shortcode-switcher {
  	display: inline-flex !important;
  	padding: 0 0 !important;
	position: relative !important;
}
.trp-language-item{
	padding: 0 0 !important;
}
.trp-shortcode-switcher a{
  	display: block !important;
  	padding: 0 0 !important;
}
.trp-language-switcher .trp-language-item-name { 
	display: block !important;
	font-size: var(--wp--preset--font-size--medium)  !important; 
	font-weight: inherit !important;
	text-transform: lowercase; 
	line-height: inherit !important;
}
.trp-current-language-item__wrapper {
	/*padding-right: 0.3rem !important;*/
	padding-right: 0 !important;
}
.trp-shortcode-switcher .trp-switcher-dropdown-list {
  	flex-direction: row !important;	
}
.trp-shortcode-switcher .trp-switcher-dropdown-list a{
  	padding-left: 0.3rem !important;	
}
.trp-language-item__current {
	font-weight: 600 !important;
	--text: var(--wp--preset--color--contrast) !important;
}
.trp-current-language-item__wrapper::after {
	content: "|" !important;
	color: var(--wp--preset--color--contrast) !important;
	padding-left: 0.3rem;
    font-size: inherit;
}
/*---------------------------------------------------------------- */
/*          BACKGROUND CATEGORIES 
/*---------------------------------------------------------------- */
body.category-presse, body.category-presse header {
	background-color: var(--wp--preset--color--presse);
}
body.category-edition, body.category-edition header {
	background-color: var(--wp--preset--color--edition);
}
body.category-communication, body.category-communication header {
	background-color: var(--wp--preset--color--communication);
}
body.category-audiovisuel, body.category-audiovisuel header {
	background-color: var(--wp--preset--color--audiovisuel);
}
body.page-template-default header {
	background-color: var(--wp--preset--color--base);
}

/*---------------------------------------------------------------- */
/*          GALERIES DES ARTICLES
/*---------------------------------------------------------------- */
.post-gallery {
	display: flex;
  	flex-direction: column;
  	gap: var(--wp--preset--spacing--40);
	width: 100%;
    box-sizing: border-box;
}
/* neutralise tout positionnement absolu héritée par erreur */
.post-gallery,
.post-gallery * {
    position: static !important;
    z-index: auto !important;
}
.post-gallery img{
  	margin-bottom: 0 !important;
	margin-top: 0 !important;
  	padding: 0;
  	width: 100%;
  	height: auto;
	display: block;
	background-color: var(--wp--preset--color--base) !important;
}

/*---------------------------------------------------------------- */
/*          STYLES DE BLOCS
/*---------------------------------------------------------------- */
.wp-block-separator.is-style-tiret-separateur,
.wp-block-separator.is-style-tiret-separateur hr {
  	width: 1rem;
  	height: 2px;
  	max-width: 1rem;
  	background-color: currentColor;
  	border: none;
  	margin-top: var(--wp--preset--spacing--20) !important;
  	margin-bottom: var(--wp--preset--spacing--20) !important;
  	display: block;
	margin-left: 0;
}

/*---------------------------------------------------------------- */
/*          PREV/NEXT NAV 
/*---------------------------------------------------------------- */

.wp-block-post-navigation-link a{
	transition: all .3s ease-in-out;
}
.post-navigation-link-previous .wp-block-post-navigation-link__arrow-previous,
.post-navigation-link-next .wp-block-post-navigation-link__arrow-next {
	transform: rotate(180deg) scaleX(1) !important;
}
.post-navigation-link-previous .wp-block-post-navigation-link__arrow-previous {
	float: right;
	margin-left: 1ch;
	margin-right: 0;
}
.post-navigation-link-next .wp-block-post-navigation-link__arrow-next {
	float: left;
	margin-right: 1ch;
	margin-left: 0;
}